## plasma-workspace 5.13.5

=== debian/changelog ===
plasma-workspace (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/patches: Exclude add_sddm_debian_breeze.patch
    - d/patches: Add upstream_fix-media-player-seeking.patch
    - d/patches: Add kubuntu_disable_hanging_test.diff
    - d/meta/cmake-ignore: Ignores for Kubuntu CI builds.
    - d/source/lintian-overrides: Ignore erroneous spelling errors in patches.
    - d/tests/*: Keep Kubuntu test setup.
    - d/plasma-workspace-dev.acc.in: Pass -fno-keep-inline-functions to GCC
      for acc test.
    - d/control: Kubuntu packaging Vcs fields
    - d/control: Build deps and breaks/replaces for Kubuntu.
    - d/control: No sddm-theme-debian-breeze package.
    - d/*.symbols: Keep Kubuntu versions.
    - d/plasma-workspace.lintian-overrides: Extra override.
    - d/sddm-theme-debian-breeze.*: Exclude files. We do not ship debian theme.
 

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Sep 2018 12:21:05 +0100

plasma-workspace (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:45 +0200

plasma-workspace (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Cherry pick upstream patch to fix media player widget when seeking
    in long media files.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:47 +0100

plasma-workspace (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:21 +0200

plasma-workspace (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:43:06 +0100

plasma-workspace (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install klipper.categories and plasma-workspace.categories
  * Update symbols
  * Update install for renamed appstream krunner plugin library
  * Update more install files
  * New upstream release (5.13.0)
  * Enforce minimum Frameworks dependency of 5.47
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * Degrade kde-cli-tools to recommends

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:53 +0100

plasma-workspace (4:5.13.2-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * Degrade kde-cli-tools to recommends
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 30 Jun 2018 13:52:11 +0200

plasma-workspace (4:5.13.1-1) unstable; urgency=medium

  * New revision
  * Add ksysguardd recommends
  * Switch to default-dbus-session-bus | dbus-session-bus.
    Thanks to Zhang Jingqiang for the report (Closes: 852680)
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Force building against the new version of libprocesscore7
  * Refresh patches, drop upstream applied
  * Update install files
  * Update symbols files
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:24 +0200

plasma-workspace (4:5.12.6-0ubuntu2) cosmic; urgency=medium

  * Install the SDDM theme to ubuntu-theme to allow multiple SDDM themes to be
    swapped in and out.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 08:07:27 -0500

plasma-workspace (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:05 +0100

plasma-workspace (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Add libkf5config-bin dependency.
    kreadconfig5 is used in the startkde script
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Add missing -dev dependency
  * Add patch: Avoid-including-the-generated-config-X11-private-header.patch
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:11 +0200

plasma-workspace (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * Change dependency from old transitional qml-module-org-kde-
    extensionplugin to qml-module-org-kde-activities

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Jun 2018 11:55:58 +0100

plasma-workspace (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * An explicit build depend on libmpfr-dev is now required for the
    qalculate krunner
  * Drop upstream_fix-Klipper-notifications.patch
  * Drop patches requested by upstream KDE to fix the weather applet
  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:04 +0100

plasma-workspace (4:5.12.4-1) unstable; urgency=medium

  [ Scarlett Clark ]
  * Remove qttools5-dev-tools from plasma-workspace runtime dependencies.
    startkde no longer uses qtpath to figure out configuration paths.

  [ Maximiliano Curia ]
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:55 +0200

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.45.0~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.45.0~),
               kgendesignerplugin (>= 5.45~),
               kinit-dev (>= 5.45.0~),
               kscreenlocker-dev (>= 5.13.5~),
               kwin-dev (>= 4:5.13.5~),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5crash-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5declarative-dev (>= 5.45.0~),
               libkf5doctools-dev (>= 5.45.0~),
               libkf5globalaccel-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5idletime-dev (>= 5.45.0~),
               libkf5itemmodels-dev (>= 5.45.0~),
               libkf5jsembed-dev (>= 5.45.0~),
               libkf5kcmutils-dev (>= 5.45.0~),
               libkf5kdelibs4support-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5networkmanagerqt-dev (>= 5.45.0~),
               libkf5newstuff-dev (>= 5.45.0~),
               libkf5notifyconfig-dev (>= 5.45.0~),
               libkf5package-dev (>= 5.45.0~),
               libkf5plasma-dev (>= 5.45.0~),
               libkf5prison-dev (>= 5.45.0~),
               libkf5runner-dev (>= 5.45.0~),
               libkf5screen-dev (>= 4:5.13.5~),
               libkf5solid-dev (>= 5.45.0~),
               libkf5su-dev (>= 5.45.0~),
               libkf5sysguard-dev (>= 4:5.13.5~),
               libkf5texteditor-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5wayland-dev (>= 4:5.45.0~),
               libkf5webkit-dev (>= 5.45.0~),
               libkf5xmlrpcclient-dev (>= 5.45.0~),
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.45.0~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libtaskmanager5
Replaces: libtaskmanager5
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.13),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.13),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.13),
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.45.0~),
         libkf5service-bin,
         milou (>= 4:5.13),
         plasma-framework,
         plasma-integration (>= 5.13),
         qdbus-qt5,
         qml-module-org-kde-activities,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kconfig,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-cli-tools (>= 4:5.13),
            kio-extras,
            ksysguardd (>= 4:5.13),
            libpam-kwallet5 (>= 5.13),
            powerdevil (>= 4:5.13),
            qml-module-org-kde-qqc2desktopstyle,
Breaks: kde-window-manager (<= 4:5),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        ${kde-l10n:all},
Conflicts: kde-workspace, kde-workspace-data, klipper
Provides: notification-daemon, x-session-manager
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all},
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Depends: kwin-common (>= 4:5.13),
         libkf5itemmodels-dev (>= 5.45.0~),
         libkf5plasma-dev (>= 5.45.0~),
         libkf5sysguard-dev (>= 4:5.13.5~),
         libkf5windowsystem-dev (>= 5.45.0~),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         qtdeclarative5-dev (>= 5.9.0~),
         ${allLibraries},
         ${misc:Depends},
Breaks: kde-workspace-dev
Conflicts: kde-workspace-dev
Replaces: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration (>= 5.13),
         kwin-wayland (>= 4:5.13),
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Provides: sddm-theme
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

## plasma-workspace 5.14.5.1

=== krunner/CMakeLists.txt ===
set(krunner_SRCS
    main.cpp
    view.cpp
)

set(krunner_dbusAppXML dbus/org.kde.krunner.App.xml)
qt5_add_dbus_adaptor(krunner_SRCS ${krunner_dbusAppXML} view.h View)
configure_file(dbus/org.kde.krunner.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krunner.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krunner.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})


add_executable(krunner ${krunner_SRCS})

target_link_libraries(krunner
    Qt5::Quick
    KF5::Declarative
    KF5::I18n
    KF5::PlasmaQuick
    KF5::GlobalAccel
    KF5::DBusAddons
    KF5::Crash
    KF5::WaylandClient
    KF5::QuickAddons
    PW::KWorkspace
)
target_compile_definitions(krunner PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

install(TARGETS krunner ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${krunner_dbusAppXML} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )
install(FILES krunner.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KRunnerAppDBusInterface")
configure_package_config_file(KRunnerAppDBusInterfaceConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KRunnerAppDBusInterfaceConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KRunnerAppDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

add_subdirectory(update)

=== dataengines/notifications/CMakeLists.txt ===
include(ECMMarkAsTest)

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_notifications\")

set(notifications_engine_SRCS
    notificationsengine.cpp
    notificationservice.cpp
    notificationaction.cpp
    notificationsanitizer.cpp
)

ecm_qt_declare_logging_category(notifications_engine_SRCS HEADER debug.h
                                               IDENTIFIER NOTIFICATIONS
                                               CATEGORY_NAME kde.dataengine.notifications`
                                               DEFAULT_SEVERITY Info)

qt5_add_dbus_adaptor( notifications_engine_SRCS org.freedesktop.Notifications.xml notificationsengine.h  NotificationsEngine )

add_library(plasma_engine_notifications MODULE ${notifications_engine_SRCS})

target_link_libraries(plasma_engine_notifications
    Qt5::DBus
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::Notifications
    KF5::Plasma
    KF5::Service
    KF5::NotifyConfig
)

kcoreaddons_desktop_to_json(plasma_engine_notifications plasma-dataengine-notifications.desktop)

install(TARGETS plasma_engine_notifications DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-notifications.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
install(FILES notifications.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)


#unit test
set(notifications_test_SRCS
    notificationsanitizer.cpp
    notifications_test.cpp
)

ecm_qt_declare_logging_category(notifications_test_SRCS HEADER debug.h
                                               IDENTIFIER NOTIFICATIONS
                                               CATEGORY_NAME kde.dataengine.notifications`
                                               DEFAULT_SEVERITY Info)

add_executable(notification_test  ${notifications_test_SRCS})
target_link_libraries(notification_test Qt5::Test Qt5::Core)
ecm_mark_as_test(notification_test)

=== krunner/update/CMakeLists.txt ===
set(krunnerplugins_SRCS
   main.cpp
 )

add_executable(krunnerplugins ${krunnerplugins_SRCS})

target_link_libraries(krunnerplugins KF5::CoreAddons KF5::Service KF5::Runner KF5::ConfigCore)

install(TARGETS krunnerplugins DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin/)
install(FILES krunnerplugins.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== ksmserver/logout-greeter/CMakeLists.txt ===
set(KSMSERVER_LOGOUT_GREETER_SRCS main.cpp shutdowndlg.cpp ../ksmserver_debug.cpp)
add_executable(ksmserver-logout-greeter ${KSMSERVER_LOGOUT_GREETER_SRCS})
target_link_libraries(ksmserver-logout-greeter
    PW::KWorkspace
    Qt5::Widgets
    Qt5::Quick
    Qt5::X11Extras
    KF5::Declarative
    KF5::IconThemes
    KF5::I18n
    KF5::Package
    KF5::QuickAddons
    KF5::KDELibs4Support # Solid/PowerManagement
    KF5::WaylandClient
    ${X11_LIBRARIES}
)
install(TARGETS ksmserver-logout-greeter DESTINATION ${KDE_INSTALL_LIBEXECDIR})

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== runners/bookmarks/CMakeLists.txt ===
########### next target ###############
#set(EXTERNAL_LIBS KIOCore Qt5::Script KF5::Plasma Qt5::Sql)

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_bookmarksrunner\")

find_package(Qt5 CONFIG REQUIRED COMPONENTS Sql)


set(EXTERNAL_LIBS
    Qt5::Sql
    KF5::KIOCore
    KF5::I18n
    KF5::Runner
    KF5::Bookmarks
)

set(krunner_bookmarksrunner_SRCS
    browserfactory.cpp
    bookmarkmatch.cpp
    faviconfromblob.cpp
    favicon.cpp
    fetchsqlite.cpp
    browsers/opera.cpp
    bookmarksrunner.cpp
    browsers/kdebrowser.cpp
    browsers/firefox.cpp
)

set(krunner_bookmarksrunner_SRCS
    ${krunner_bookmarksrunner_SRCS}
    browsers/chromefindprofile.cpp
    browsers/chrome.cpp
)


add_library(krunner_bookmarksrunner MODULE ${krunner_bookmarksrunner_SRCS})
target_link_libraries(krunner_bookmarksrunner ${EXTERNAL_LIBS})

install(TARGETS krunner_bookmarksrunner DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install(FILES plasma-runner-bookmarks.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# Currently tests include only chrome, so no need to get include them if json is not found
if(BUILD_TESTING)
   add_subdirectory(tests)
endif()

=== runners/recentdocuments/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_recentdocuments\")

set(krunner_recentdocuments_SRCS
    recentdocuments.cpp
)

add_library(krunner_recentdocuments MODULE ${krunner_recentdocuments_SRCS})

target_link_libraries(krunner_recentdocuments
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::Runner
)

install(TARGETS krunner_recentdocuments DESTINATION ${KDE_INSTALL_PLUGINDIR} )

install(FILES plasma-runner-recentdocuments.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== applets/notifications/lib/CMakeLists.txt ===
set(notificationsapplet_SRCS
    notificationsapplet.cpp
)

add_library(plasma_applet_notifications MODULE ${notificationsapplet_SRCS})

kcoreaddons_desktop_to_json(plasma_applet_notifications ../package/metadata.desktop)

target_link_libraries(plasma_applet_notifications
                      KF5::WindowSystem
                      KF5::Plasma
                      KF5::ConfigCore)

install(TARGETS plasma_applet_notifications DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

=== debian/changelog ===
plasma-workspace (4:5.14.5.1-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit c534fdf1ba34d0ea8a08b9b5266384a3243271e0 to build
    with newer cmake; patch
    upstream_Harmonize-usage-of-HAVE_X11-using-if-and-cmakedefine.patch.
  * Backport upstream commit 0c4974d68804cdaff2efb6317f7853a89d3a3d2b to fix
    build with gpsd 3.20; patch upstream_Fix-build-with-gpsd-3.20.patch.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 09:57:44 +0100

plasma-workspace (4:5.14.5.1-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream_dont_bind_model_inside_headerItem.patch to avoid infinite
    recursion in Plasma notifications (Closes: #943344).
  * Refresh add_sddm_debian_breeze.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 23 Oct 2019 15:45:35 -0300

plasma-workspace (4:5.14.5.1-3) unstable; urgency=medium

  * Team upload.
  * Simplify the dependencies of plasma-workspace-dev:
    - remove kwin-common, and plasma-workspace, which are not needed (it is
      a package only with development libraries)
    - use the sodeps addon instead of the custom dhmk target to get the
      dependencies for all the so symlinks shipped
  * Tighten library dependencies.
  * Install 40-kde-plasma-kf5.conf using plasma-workspace.install, instead of
    copying it manually.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2019 07:07:33 +0200

plasma-workspace (4:5.14.5.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch disable_incompatible_tests, no more needed now
  * Remove unused debian/meta stuff.
  * Drop the migration from plasma-workspace-dbg, no more needed after two
    Debian stable releases.
  * Backport upstream commits a788ab3d08a8a68ed232f81a2110f447080451ec,
    0c4ec1c4af05aa1f6e36c934881cf6f427f7241a, and
    eaa5e74c04c56d035cfb307fc292f585ad530275 to fix build with newer KF;
    patches upstream_Add-missing-include.patch,
    upstream_Fix-compilation.patch, and
    upstream_Add-missing-include-QJsonArray-to-fix-compilation-wi.patch.
  * Update symbols files.
  * Switch the section of the libraries to libs, and the -dev packages to
    libdevel.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2019 20:43:23 +0200

plasma-workspace (4:5.14.5.1-1) unstable; urgency=medium

  * New upstream bugfix release (5.14.5.1).
    - [weather dataengine] bbc,envcan,noaa: fix day/night calculation for
      observe (03e13b10)
    - [weather dataengine] envcan: fix forecast icons to match "ice pellets"
      (28d0af67)
    - Fix System Tray popup interactivity after echanging item visiblity
      (6fcf9a5e)
      Fixes upstream bug 393630 (https://bugs.kde.org/show_bug.cgi?id=393630)
    - weather dataengine] noaa: another forecast string found in use
      (ed7c5796)
    - [kio_applications] Fix last dir item being shown twice (3431ea6d)
    - [plasmawindowed] Pick up KQuickAddons::QtQuickSettings (ddde180a)
    - weather dataengine] noaa: support more "Slight Chance *" forecast
      strings (182ef20a)
    - [weather dataengine] Remove duplicated condition/forecast strings
      (6b4e2500)
    - Translation updates (679aabe9, ec7f62b7, 4434af77)
    - StatusItemNotifier: fix overlays by name with icons by name (65f3a961)
    - [weather dataengine] noaa: add another forecast string found in use
      (91633c6c)
    - [weather dataengine] bbc: use night icons for forecast "Tonight"
      (458fdeac)
    - Useful error output when shell loading is aborted due to
      kactivitymanagerd not being activatable (6d16583e)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Feb 2019 21:06:30 +0100

plasma-workspace (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:11 -0300

plasma-workspace (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Update symbols files
  * Add webshortcuts_config desktop file
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:52 -0300

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.50.0~),
               kgendesignerplugin (>= 5.41~),
               kinit-dev,
               kscreenlocker-dev (>= 5.13.80~),
               kwin-dev (>= 4:5.4.95),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.41.0~),
               libkf5jsembed-dev (>= 5.50.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.4.0),
               libkf5networkmanagerqt-dev (>= 5.50.0~),
               libkf5newstuff-dev (>= 5.50.0~),
               libkf5notifyconfig-dev (>= 5.50.0~),
               libkf5package-dev,
               libkf5plasma-dev (>= 5.50.0~),
               libkf5prison-dev (>= 5.50.0~),
               libkf5runner-dev (>= 5.50.0~),
               libkf5screen-dev (>= 4:5.6~),
               libkf5solid-dev (>= 5.2.0),
               libkf5su-dev (>= 5.50.0~),
               libkf5sysguard-dev (>= 4:5.13),
               libkf5texteditor-dev (>= 5.2.0),
               libkf5textwidgets-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~),
               libkf5webkit-dev (>= 5.13.0~),
               libkf5xmlrpcclient-dev,
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.26.0~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.
Breaks: kde-cli-tools (<< 4:5.14),
        khotkeys (<< 4:5.14),
        libpowerdevilcore2 (<< 4:5.14),
        plasma-desktop (<< 4:5.14),
        powerdevil (<< 4:5.14),
        systemsettings (<< 4:5.14),

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.
Breaks: plasma-desktop (<< 4:5.14)

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.14),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.14),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.14),
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.26.0~),
         libkf5service-bin,
         milou (>= 4:5.14),
         plasma-framework,
         plasma-integration (>= 5.14),
         qdbus-qt5,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-window-manager (<= 4:5),
        kde-workspace-bin,
        kdeartwork-style,
        kdeartwork-theme-window,
        kinfocenter (<< 4:5.14),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        klipper,
        kscreensaver,
        kscreensaver-xsavers,
        kscreensaver-xsavers-webcollage,
        plasma-desktop (<< 4:5.14),
        plasma-desktopthemes-artwork,
        plasma-mediacenter (<< 5.7),
        plasma-systray-legacy,
        plasma-widgets-addons (<< 4:5.14),
Conflicts: kde-workspace, kde-workspace-data, klipper
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-systray-legacy,
          plasma-workspace-data,
Provides: notification-daemon, x-session-manager
Recommends: kde-cli-tools (>= 4:5.14),
            kio-extras,
            ksysguardd (>= 4:5.14),
            libpam-kwallet5 (>= 5.14),
            powerdevil (>= 4:5.14),
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Section: libdevel
Depends: libkf5itemmodels-dev (>= 5.37.0~),
         libkf5plasma-dev (>= 5.50.0~),
         libkf5sysguard-dev (>= 4:5.14),
         libkf5windowsystem-dev (>= 5.4.0),
         qtbase5-dev (>= 5.11.0~),
         qtdeclarative5-dev (>= 5.11.0~),
         ${so:Depends},
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration (>= 5.14),
         kwin-wayland (>= 4:5.14),
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-framework,
         plasma-workspace,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: desktop-base (>= 9.0.0~), sddm
Provides: sddm-theme
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme adapted
 to use the active desktop-base theme for the background.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_fixperms:
	chmod -x debian/plasma-workspace/etc/xdg/autostart/klipper.desktop
	dh_fixperms

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## plasma-workspace 5.14.5.1%2Brebuild

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_addsubst_allLibraries = plasma-workspace-dev
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_strip:
	dh_strip --dbgsym-migration='plasma-workspace-dbg (<= 4:5.5.5.1-1~~)'

override_dh_fixperms:
	chmod -x debian/plasma-workspace/etc/xdg/autostart/klipper.desktop
	dh_fixperms

override_dh_install:
	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	dh_install

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_addsubst_allLibraries
	dh_gencontrol
